//
// Created by Falko Alrik Schmidt on 26.09.23.
//

#include "Ulm_MS5607.h"

Ulm_MS5607::Ulm_MS5607(int8_t address) : MS5x(&Wire) {
    this->setI2Caddr(address);
    this->setPressMbar();
    this->setTempC();
}

bool Ulm_MS5607::begin() {
    return this->connect() == 0;
}

float Ulm_MS5607::getTemperature() {
    return static_cast<float>(MS5x::GetTemp());
}

float Ulm_MS5607::getPressure() {
    return static_cast<float>(MS5x::GetPres());
}

float Ulm_MS5607::getAltitude() {
    return static_cast<float>(MS5x::getAltitude(true));
}
